Subject: MOST WANTED LIST

From: Daniel Stenberg <[email-masked]>
Date: Tue, 9 Jul 1996 11:47:17 +0200 (MET DST)

Hi!

Being a die hard Pine fan every since I discovered it (some year ago) I
thought it is about time that I make my voice heard about the few items I
have on my MOST WANTED features list... I do hope on replies,
modified/improved suggestions and a low flame level:

(I do have and use Pine-Solaris v3.94 a lot)

* Better word wrap engines.
  I'd like the interactive word wrap in the Pico editor to get better.
  Like if you write a full paragraph of a couple of lines, and then move
  to the center of the paragraph and insert or delete a lot of characters
  it doesn't do the things any user would like it to do. Since the editor
  should have stored information about which lines it wrapped
  automatically when I wrote them, it should be able to re-wrap them when
  text is edited.
  The word wrap is also a weak part when quoted text is inserted in a
  reply-mail. Lines can very well exceed my line width limit, forcing me
  to press space on the lines to make them get wrapped by the editor. Even
  that makes the quoted lines look like a mess so I have to edit them a
  lot to make them look nice again. (that is, emulate the
  emacs 'fill-paragraph'). This could possibly be fixed if Pine would
  support an external filter to do the wrapping/quoteprefixadding.
  Of course, another editor could probably do it but I love the internal
  one in all other aspects.

  (If there is any help, I have written a very powerful word wrap engine
  in fully portable C for just such a purpose. At least, support for an
  external engine would allow me to use my own...)

* Address book
  I have an address book with like ~40-50 entries and I start to feel the
  limits of pine in that area.
  First, I think moving with just cursor keys when selecting (like after a
  ^T) is too slow. I'd like to see like an incremental search or, like in
  the regular mail-index, numbered entries so I can make a JUMP
  address-number.
  More, I'd like to see a way to specify the addresses into groups. It
  would be easier to deal with lots of people in the book. I could put all
  my neighbours in my 'neighbour' group, the addresses of my team-mates in
  the 'team' group etc. It would be like having folders for addresses. It
  could possibly be nice to be able to put the same person in more than
  one group though, like if one of my neighbours is also in my team...

* Smart index scrolling
  Been said before. Why is Pine capable of scrolling the text body of any
  mail in that smart and nice way when it can't do it with the index? From
  time to time I'm forced to use pine over a 9600 bps connection, and I
  tell you that moving in the index is one of pine's weakest parts then...
 
* Threaded newsreader
  No comment needed I think. Still I understand if you don't have this on
  any high prio I thought I should mention it.

     [email-masked]    IRC: Bagder
     HTTP://sunsite.auc.dk/frexxed     FrexxWare - Products for cool users.